

with Ada.Text_IO;          use Ada.Text_IO;
with Glide_Kernel;         use Glide_Kernel;
with Glide_Kernel.Project; use Glide_Kernel.Project;

procedure Locate is
   Kernel : Kernel_Handle;
begin
   Gtk_New (Kernel, null);
   Load_Project (Kernel, "root.gpr");
   Put_Line ("Location of a.adb: " & Find_Source_File (Kernel, "a.adb"));
   Put_Line ("Location of b.adb: " & Find_Source_File (Kernel, "b.adb"));
end Locate;
